import QtQuick 2.0

Item {
    anchors.fill: parent
    //color: "#8c0cbc"

    Image {
        id: backImage
        anchors.fill: parent
        source: screensStack.currentItem ? screensStack.currentItem.background : ""
    }

    HMText {
        id: update1
        anchors.bottom: update2.top
        anchors.horizontalCenter: parent.horizontalCenter
        //: Text that shown during splash screen, database updating
        text: qsTr("please-wait-updating1")
        font.pixelSize: hmStyle.splashScreenFontSize
    }
    HMText {
        id: update2
        //: Text that shown during splash screen, database updating
        text: qsTr("please-wait-updating")
        anchors.centerIn: parent
        font.pixelSize: hmStyle.splashScreenFontSize
    }
    HMText {
        id: update3
        anchors.top: update2.bottom
        anchors.horizontalCenter: parent.horizontalCenter
        //: Text that shown during splash screen, database updating
        text: qsTr("please-wait-updating3")
        font.pixelSize: hmStyle.splashScreenFontSize
    }

}
